<?php

namespace OzzModz\WebsiteVerification\Finder;

class Website extends \XF\Mvc\Entity\Finder
{
	public function byUser($userId)
	{
		if ($userId instanceof \XF\Entity\User)
		{
			$userId = $userId->user_id;
		}

		$this->where('user_id', '=', $userId);
		return $this;
	}

	public function onlyVerified()
	{
		$this->whereOr([
			['dns_verified', '=', 1],
			['file_verified', '=', 1],
			['XenforoLicense.is_valid', '=', 1],
		]);

		return $this;
	}
}
