<?php

namespace OzzModz\WebsiteVerification\Helper;

class Http
{
	public function getFileContents($url, &$error = [])
	{
		try
		{
			$client = \XF::app()->http()->client();
			$request = $client->get($url, ['verify' => false]);

			if ($request->getStatusCode() != 200)
			{
				$error = $request->getReasonPhrase();
				return null;
			}

			return $request->getBody()->getContents();
		}
		catch (\Exception $e)
		{
			$error = \XF::phrase('ozzmodz_wv_response_x_url_code_y_failed', ['url' => $url, 'code' => $e->getCode()]);
			return null;
		}
	}

}