<?php

namespace OzzModz\WebsiteVerification\Helper;

class XenforoLicenseApi
{
	protected $url = 'https://xenforo.com/customer-api/license-lookup.json';

	protected $error;

	protected $statusCode;

	public function getError()
	{
		return $this->error;
	}

	public function getStatusCode()
	{
		return $this->statusCode;
	}

	public function getLicenseInfo($token, $domain = null)
	{
		$response = $this->request($this->url, ['form_params' => ['token' => $token, 'domain' => $domain]]);
		if ($response)
		{
			return \json_decode($response->getBody(), true);
		}

		return [];
	}

	protected function request($url, $params = [])
	{
		try
		{
			$response = \XF::app()->http()->client()->post($url, $params);
			$this->statusCode = $response->getStatusCode();
		}
		catch (\GuzzleHttp\Exception\RequestException $e)
		{
			if (null !== $e->getResponse())
			{
				$error = 'Xenforo License ' . $e->getResponse()->getStatusCode();
				$body = $e->getResponse()->getBody()->getContents();

				$json = json_decode($body, true);
				if (isset($json['error_message']))
				{
					$body = $json['error_message'];
				}

				$error .= ': ' . $body;

				$this->statusCode = $e->getResponse()->getStatusCode();
			}
			else
			{
				$error = $e->getMessage();
			}

			$this->error = $error;
		}

		return $response ?? null;
	}
}