<?php

namespace OzzModz\WebsiteVerification\Job;

class UserWebsitesRebuild extends \XF\Job\AbstractRebuildJob
{
	protected function getNextIds($start, $batch)
	{
		$db = $this->app->db();

		return $db->fetchAllColumn($db->limit(
			"
				SELECT user_id
				FROM xf_user
				WHERE user_id > ?
				ORDER BY user_id
			", $batch
		), $start);
	}

	protected function rebuildById($id)
	{
		/** @var \OzzModz\WebsiteVerification\XF\Entity\User $user */
		$user = $this->app->em()->find('XF:User', $id);
		if ($user)
		{
			$user->rebuildOzzModzWebsiteVerificationCounters();
			$user->save();
		}
	}

	protected function getStatusType()
	{
		return \XF::phrase('ozzmodz_wv_user_websites_counters');
	}
}