<?php

namespace OzzModz\WebsiteVerification\MJ\SupportTicket\Pub\Controller;


class Ticket extends XFCP_Ticket
{
	/**
	 * @param \MJ\SupportTicket\Entity\Department $department
	 * @return \MJ\SupportTicket\Service\Ticket\Creator
	 * @throws \XF\Mvc\Reply\Exception
	 */
	protected function setupTicketCreate(\MJ\SupportTicket\Entity\Department $department)
	{
		$minVerifiedSites = $department->hasPermission('ozzmodz_wv_minVerified');
		if ($minVerifiedSites)
		{
			/** @var \OzzModz\WebsiteVerification\Repository\Website $websiteRepo */
			$websiteRepo = $this->repository('OzzModz\WebsiteVerification:Website');
			$verifiedWebsites = $websiteRepo->getVerifiedWebsitesForUser(\XF::visitor())->count();
			if ($verifiedWebsites <= $minVerifiedSites)
			{
				throw $this->errorException(\XF::phrase('ozzmodz_wv_you_dont_have_any_verified_website_verify_x_link', [
					'link' => $this->app()->router('public')->buildLink('account/website-verification')
				]));
			}
		}

		return parent::setupTicketCreate($department);
	}
}
