<?php

namespace OzzModz\WebsiteVerification\Repository;

class XenforoLicense extends \XF\Mvc\Entity\Repository
{
	public function findLicensesToCheck()
	{
		$licenseFinder = $this->finder('OzzModz\WebsiteVerification:XenforoLicense');

		$checkInterval = $this->options()->ozzmodz_wv_xfLicenseCheckInterval * 86400;
		if (!$checkInterval)
		{
			$licenseFinder->whereImpossible();
			return $licenseFinder;
		}

		return $licenseFinder->where('last_check_date', '<', \XF::$time - $checkInterval)
			->setDefaultOrder('last_check_date');
	}

	public function getNextLicenseCheckTime()
	{
		$checkInterval = $this->options()->ozzmodz_wv_xfLicenseCheckInterval * 86400;
		if (!$checkInterval)
		{
			return null;
		}

		$nextCheckDate = $this->db()->fetchOne("
			SELECT MIN(last_check_date) 
			FROM xf_ozzmodz_wv_xenforo_license
			WHERE last_check_date < ?
		", \XF::$time - $checkInterval);

		return $nextCheckDate ?: null;
	}

	public function runLicenseCheckJobIfNeeded()
	{
		$nextLicenseCheckTime = $this->getNextLicenseCheckTime();
		if ($nextLicenseCheckTime)
		{
			$this->app()->jobManager()->enqueueLater(
				'ozzmodzWvLicenseChecker',
				$nextLicenseCheckTime,
				'OzzModz\WebsiteVerification:XenforoLicenseCheck'
			);
		}
	}
}