<?php

namespace OzzModz\WebsiteVerification\XF\Entity;

/**
 * COLUMNS
 * @property int $ozzmodz_wv_website_count
 * @property int $ozzmodz_wv_website_verified_count
 */
class User extends XFCP_User
{
	public function canViewWebsiteVerificationDomains(&$error = null)
	{
		$visitor = \XF::visitor();
		if ($visitor->hasPermission('ozzmodz_wv', 'viewAny'))
		{
			return true;
		}

		return $this->user_id == $visitor->user_id && $visitor->hasPermission('ozzmodz_wv', 'viewOwn');
	}

	public function canAddWebsiteVerificationDomains(&$error = null)
	{
		return $this->hasPermission('ozzmodz_wv', 'canAdd');
	}

	public function rebuildOzzModzWebsiteVerificationCounters()
	{
		$finder = $this->finder('OzzModz\WebsiteVerification:Website')
			->where('user_id', '=', $this->user_id);

		$websites = $finder->fetch();

		$this->ozzmodz_wv_website_count = $websites->count();

		$verifiedWebsites = $websites->filter(function (\OzzModz\WebsiteVerification\Entity\Website $website) {
			return $website->isVerified();
		});

		$this->ozzmodz_wv_website_verified_count = $verifiedWebsites->count();
	}
}
