<?php

namespace OzzModz\WebsiteVerification\XF\Pub\Controller;


class Account extends XFCP_Account
{
	public function actionWebsiteVerification()
	{
		/** @var \OzzModz\WebsiteVerification\XF\Entity\User $visitor */
		$visitor = \XF::visitor();
		if (!$visitor->hasPermission('ozzmodz_wv', 'viewOwn'))
		{
			return $this->noPermission();
		}

		$page = $this->filterPage();
		$perPage = 20;

		/** @var \OzzModz\WebsiteVerification\Repository\Website $domainRepo */
		$domainRepo = $this->repository('OzzModz\WebsiteVerification:Website');
		$domainFinder = $domainRepo->findWebsitesForList()->byUser($visitor->user_id);

		$domainFinder->limitByPage($page, $perPage);

		$domains = $domainFinder->fetch();
		$total = $domainFinder->total();

		$this->assertValidPage($page, $perPage, $total, 'account/website-verification');

		$viewParams = [
			'domains' => $domains,
			'total' => $total,
			'page' => $page,
			'perPage' => $perPage,
		];
		$view = $this->view('XF:Account\WebsiteVerification', 'ozzmodz_wv_website_list', $viewParams);
		return $this->addAccountWrapperParams($view, 'ozzmodz_wv_domains');
	}
}