<?php

namespace OzzModz\WebsiteVerification\XFA\RMMarketplace\Pub\Controller;

class Purchase extends XFCP_Purchase
{
	protected function assertCustomPurchasableResource($resourceId, array $extraWith = [])
	{
		/** @var \OzzModz\WebsiteVerification\Repository\Website $websiteRepo */
		$websiteRepo = $this->repository('OzzModz\WebsiteVerification:Website');
		$hasVerifiedWebsites = $websiteRepo->getVerifiedWebsitesForUser(\XF::visitor())->count();
		if (!$hasVerifiedWebsites)
		{
			throw $this->errorException(\XF::phrase('ozzmodz_wv_you_dont_have_any_verified_website_verify_x_link', [
				'link' => $this->app()->router('public')->buildLink('account/website-verification')
			]));
		}

		return parent::assertCustomPurchasableResource($resourceId, $extraWith);
	}

	protected function assertPurchasableResource($resourceId, array $extraWith = [])
	{
		/** @var \OzzModz\WebsiteVerification\Repository\Website $websiteRepo */
		$websiteRepo = $this->repository('OzzModz\WebsiteVerification:Website');
		$hasVerifiedWebsites = $websiteRepo->getVerifiedWebsitesForUser(\XF::visitor())->count();
		if (!$hasVerifiedWebsites)
		{
			throw $this->errorException(\XF::phrase('ozzmodz_wv_you_dont_have_any_verified_website_verify_x_link', [
				'link' => $this->app()->router('public')->buildLink('account/website-verification')
			]));
		}

		return parent::assertPurchasableResource($resourceId, $extraWith);
	}
}