<?php

namespace OzzModz\WebsiteVerification\XFRM\Entity;

class ResourceItem extends XFCP_ResourceItem
{
	public function canDownload(&$error = null)
	{
		$canDownload = parent::canDownload($error);
		if ($canDownload)
		{
			/** @var \OzzModz\WebsiteVerification\Repository\Website $websiteRepo */
			$websiteRepo = $this->repository('OzzModz\WebsiteVerification:Website');
			$hasVerifiedWebsites = $websiteRepo->getVerifiedWebsitesForUser(\XF::visitor())->count();
			if (!$hasVerifiedWebsites)
			{
				$error = \XF::phrase('ozzmodz_wv_you_dont_have_any_verified_website_verify_x_link', [
					'link' => $this->app()->router('public')->buildLink('account/website-verification')
				]);
				return false;
			}
		}

		return $canDownload;
	}
}